#! /usr/bin/env node

var grid = require('.')
var argv = require('minimist')(process.argv.slice(2));
var read = require('fs').createReadStream
var join = require('path').join

if (!argv.i || !argv.w || !argv.h) {
  var s = read(join(__dirname, 'README.md'))
  s.pipe(process.stdout)
}

if (!argv.t)
  argv.t = 50

grid(argv.i, argv.w, argv.h, (err, arr) => {
  if (err)
    console.error(err)
  else
    console.log(arr)
}, argv.t)
